Bug 77342 - obscure buffer overflow bug in the DNS resolver code.
Summary: obscure buffer overflow bug in the DNS resolver code.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: webalizer
Version: 2.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-05 15:04 UTC by Mark J. Cox
Modified: 2008-05-01 15:38 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2002-11-05 15:04:14 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2002:255 normal SHIPPED_LIVE Moderate: webalizer security update 2002-04-17 04:00:00 UTC

Description Mark J. Cox 2002-11-05 15:04:08 UTC
A buffer overflow in Webalizer versions prior to 2.01-10, when configured
to use reverse DNS lookups, may allow remote attackers to execute arbitrary
code by connecting to the monitored web server from an IP address that
resolves to a long hostname.

CAN-2002-0180
http://marc.theaimsgroup.com/?l=bugtraq&m=101888467527673 
RHSA-2002:255

Comment 1 Ngo Than 2002-11-05 17:48:51 UTC
It's fixed in 2.01_09-1.72


Note You need to log in before you can comment on or make changes to this bug.